Support for Intel graphics? What do I upgrade to?

LittleshyFIM
LittleshyFIM Posts: 29 Enthusiast
I get an error message when I try the 64 bit version of the Hitfilm demo.
"Your video card does not support the minimum requierments for this application
OpenGL version must me 2.0 or higher.
OpenGLSL version must be 1.2 or higher.
The monitor must be running in True Color (32-bit)."
Is this fixable? I was really excited about Hitfilm, and this sure was disappointing.
«1

Comments